from abc import ABC, abstractmethod
from typing import BinaryIO, Any, Dict, Optional


class Parser(ABC):

    @abstractmethod
    def parse(
        self,
        file_stream: BinaryIO,
    ) -> Any:
        pass
